/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.portal.async.advice.internal.configuration;

import aQute.bnd.annotation.metatype.Meta;

import com.liferay.portal.configuration.metatype.annotations.ExtendedObjectClassDefinition;
import com.liferay.portal.kernel.messaging.DestinationNames;

/**
 * @author Preston Crary
 */
@ExtendedObjectClassDefinition(category = "infrastructure")
@Meta.OCD(
	id = "com.liferay.portal.async.advice.internal.configuration.AsyncAdviceConfiguration",
	localization = "content/Language",
	name = "portal-async-advice-configuration-name"
)
public interface AsyncAdviceConfiguration {

	@Meta.AD(
		deflt = DestinationNames.ASYNC_SERVICE,
		name = "default-destination-name", required = false
	)
	public String defaultDestinationName();

	@Meta.AD(
		description = "target-class-names-to-destination-names-key-description",
		name = "target-class-names-to-destination-names", required = false
	)
	public String[] targetClassNamesToDestinationNames();

}